<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Linking Bootstrap -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
    <!-- <link rel="stylesheet" href="./index.css"> -->
    
    
    <title>Boostrap Introduction and Simple Styles</title>
</head>
<body class="bg-secondary">
    <div class="fixed-top text-center mt-1 bg-dark">
        <p>Fixed Top - Navbar</p>
    </div>
    <div class="text-center mt-5">
        <div class="d-inline-block w-25 mt-4 mb-3">
            <img class="img-fluid bg-white rounded-circle" src="https://www.drupal.org/files/project-images/bootstrap-stack.png" alt="">
        </div>
    </div>
    <!-- utility class -->

    <div>
        <div class="">
            <table id="table" class="table table-dark table-bordered text-center">
                <thead>
                    <tr>
                        <th>Text</th>
                        <th>Background</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>
                            <a href="" class="text-primary">Primary-Link</a>
                        </td>
                        <td class="bg-primary">
                            Primary
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="" class="text-secondary">Secondary-Link</a>
                        </td>
                        <td class="bg-secondary">
                            Secondary
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="" class="text-success">Success-Link</a>
                        </td>
                        <td class="bg-success">
                            Succes
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="" class="text-danger">Danger-Link</a>
                        </td>
                        <td class="bg-danger">
                            Danger
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="" class="text-warning">Warning-Link</a>
                        </td>
                        <td class="bg-warning">
                            Warning
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="" class="text-info">Info-Link</a>
                        </td>
                        <td class="bg-info">
                            Info
                        </td>
                    </tr>
                    <tr>
                        <td class="">
                            <a href="" class="text-light">Light-Link</a>
                        </td>
                        <td class="bg-dark">
                            Light
                        </td>
                    </tr>
                    <tr>
                        <td class="bg-light">
                            <a href="" class="text-dark">Dark-Link</a>
                        </td>
                        <td class="bg-dark">
                            Dark
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="" class="text-muted">Muted-Link</a>
                        </td>
                        <td class="bg-muted">
                            Muted
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="" class="text-white">White-Link</a>
                        </td>
                        <td class="bg-white">
                            White
                        </td>
                    </tr>

                </tbody>
            </table>
            <!-- end color -->

            <!-- alignment -->
            <h2 class="text-center">Bootstrap Text Classes</h2>

            <table class="table table-dark table-light table-bordered text-center">
                <thead>
                    <tr>
                        <th>Alignment</th>
                    </tr>
                </thead>

                <tbody>
                    <tr>
                        <td class="text-left">Left</td>
                    </tr>
                    <tr>
                        <td class="text-center">Center</td>
                    </tr>
                    <tr>
                        <td class="text-right">Right</td>
                    </tr>
                    <tr>
                        <td class="text-sm-center text-lg-right text-md-left">Small Center</td>
                    </tr>
                    <tr>
                        <td class="text-right text-md-left">Others right / medium left</td>
                    </tr>
                    <tr>
                        <td class="text-lg-right">Large right</td>
                    </tr>
                    <tr>
                        <td class="text-xl-right">Extra Large right</td>
                    </tr>
                </tbody>
            </table>
            <!-- end align -->

            <!-- other text class table -->
            <h2 class="text-center">Bootstrap Other Text Classes</h2>

            <table class="table table-dark table-borded text-light text-center">
                <thead>
                    <tr>
                        <th>Text Transform</th>
                    </tr>
                </thead>

                <tbody>
                    <tr>
                        <td class="font-weight-bold text-lowercase">LOWERCASED BOLD TEXT</td>
                    </tr>
                    <tr>
                        <td class="font-weight-normal text-uppercase">uppercase normal TEXT</td>
                    </tr>
                    <tr>
                        <td class="font-weight-light text-capitalize">capitalized light TEXT</td>
                    </tr>
                    <tr>
                        <td >
                            <a class="text-decoration-none font-italic" href="">Non-Underlined Link</a>
                        </td>
                    </tr>
                </tbody>
            </table>
            <!-- end text transform -->

            <!-- bootstrap border and sizing -->
            <h2>Bootsrap Border and Sizing Classes</h2>

            <table class="table table-dark table-bordered text-light text-center mb-5">
                <thead>
                    <tr>
                        <th>Border</th>
                    </tr>
                </thead>

                <tbody class="">
                    <tr class="">
                        <td class="text-center row justify-content-center">
                            <div class="bg-info border boarder-light rounded col-4 ">
                                Rounded
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td class="text-center row justify-content-center">
                            <div class="bg-secondary border rounded-circle w-50 col-4">
                                Rounded Circle
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td class="text-center row justify-content-center">
                            <div class="bg-warning border-danger rounded-pill w-50 col-4">
                                Rounded Pill
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>
            <!-- end border sizzing -->

            <!-- footer -->
            <div class="fixed-bottom bg-primary text-light text-center">
                Fixed bottom- footer
            </div>


        </div>
    </div>
   
    <!-- script for bootstap -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
</body>
</html>